Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Jeremy Olexa (darkside)" <darkside@g.o>
Subject: gentoo-x86 commit in xfce-extra/exo: ChangeLog exo-0.3.4-r1.ebuild
Date: Mon, 17 Nov 2008 15:38:03 +0000
darkside    08/11/17 15:38:03

  Modified:             ChangeLog exo-0.3.4-r1.ebuild
  Log:
  additional ebuild cleanup for minor mistakes. use_enable in global scope, need to touch configure.in not configure, no need to call epatch twice. Thanks to drac for the help
  (Portage version: 2.2_rc14/cvs/Linux 2.6.27.6 x86_64)

Revision  Changes    Path
1.67                 xfce-extra/exo/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-extra/exo/ChangeLog?rev=1.67&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-extra/exo/ChangeLog?rev=1.67&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-extra/exo/ChangeLog?r1=1.66&r2=1.67

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/xfce-extra/exo/ChangeLog,v
retrieving revision 1.66
retrieving revision 1.67
diff -u -r1.66 -r1.67
--- ChangeLog	17 Nov 2008 14:55:55 -0000	1.66
+++ ChangeLog	17 Nov 2008 15:38:03 -0000	1.67
@@ -1,6 +1,11 @@
 # ChangeLog for xfce-extra/exo
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/xfce-extra/exo/ChangeLog,v 1.66 2008/11/17 14:55:55 darkside Exp $
+# $Header: /var/cvsroot/gentoo-x86/xfce-extra/exo/ChangeLog,v 1.67 2008/11/17 15:38:03 darkside Exp $
+
+  17 Nov 2008; Jeremy Olexa <darkside@g.o> exo-0.3.4-r1.ebuild:
+  additional ebuild cleanup for minor mistakes. use_enable in global scope,
+  need to touch configure.in not configure, no need to call epatch twice.
+  Thanks to drac for the help
 
   17 Nov 2008; Jeremy Olexa <darkside@g.o> exo-0.3.4-r1.ebuild:
   add intltoolize call to exo so it will work with intltool-0.37.1, bug #247095



1.11                 xfce-extra/exo/exo-0.3.4-r1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-extra/exo/exo-0.3.4-r1.ebuild?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-extra/exo/exo-0.3.4-r1.ebuild?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-extra/exo/exo-0.3.4-r1.ebuild?r1=1.10&r2=1.11

Index: exo-0.3.4-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/xfce-extra/exo/exo-0.3.4-r1.ebuild,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- exo-0.3.4-r1.ebuild	17 Nov 2008 14:55:55 -0000	1.10
+++ exo-0.3.4-r1.ebuild	17 Nov 2008 15:38:03 -0000	1.11
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/xfce-extra/exo/exo-0.3.4-r1.ebuild,v 1.10 2008/11/17 14:55:55 darkside Exp $
+# $Header: /var/cvsroot/gentoo-x86/xfce-extra/exo/exo-0.3.4-r1.ebuild,v 1.11 2008/11/17 15:38:03 darkside Exp $
 
 inherit eutils xfce44 python multilib autotools
 
@@ -29,10 +29,6 @@
 	doc? ( dev-util/gtk-doc )
 	dev-util/intltool"
 
-XFCE_CONFIG="${XFCE_CONFIG}	$(use_enable python) \
-	$(use_enable libnotify notifications) \
-	$(use_enable hal) --enable-mcs-plugin"
-
 DOCS="AUTHORS ChangeLog HACKING NEWS README THANKS TODO"
 
 # See bug 166568 for reference
@@ -40,11 +36,15 @@
 	unpack ${A}
 	cd "${S}"
 
-	sed -i -e 's:-Werror::g' "${S}"/configure
-	epatch "${FILESDIR}"/${P}-eject.patch
-	epatch "${FILESDIR}"/${P}-remove-libmd5.patch
+	sed -i -e 's:-Werror::g' "${S}"/configure.in || die "sed failed"
+	epatch "${FILESDIR}"/${P}-eject.patch \
+		"${FILESDIR}"/${P}-remove-libmd5.patch
 	intltoolize --force --copy --automake || die "intltoolize failed."
 	AT_M4DIR=/usr/share/xfce4/dev-tools/m4macros eautoreconf
+
+	XFCE_CONFIG="${XFCE_CONFIG}	$(use_enable python) \
+		$(use_enable libnotify notifications) \
+		$(use_enable hal) --enable-mcs-plugin"
 }
 
 # See bug 164780 for reference





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in xfce-extra/exo: ChangeLog exo-0.3.4-r1.ebuild
Next by thread:
gentoo-x86 commit in xfce-extra/exo: ChangeLog exo-0.3.4-r1.ebuild
Previous by date:
gentoo-x86 commit in xfce-extra/xfce4-cellmodem: xfce4-cellmodem-0.0.5.ebuild ChangeLog
Next by date:
gentoo-x86 commit in dev-util/source-highlight: ChangeLog source-highlight-2.11.ebuild


Updated Nov 09, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.